<?php

namespace ThurData\Servers\KerioEmail\App\Traits;


/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 05.09.19
 * Time: 14:13
 * Class Storage
 */
trait StorageTrait
{
    /**
     * @var \ThurData\Servers\KerioEmail\App\Helpers\Storage
     */
    protected $storage;

    /**
     * @return \ThurData\Servers\KerioEmail\App\Helpers\Storage
     */
    public function getStorage()
    {
        if(!$this->storage)
        {
            $this->storage = new \ThurData\Servers\KerioEmail\App\Helpers\Storage();
        }

        return $this->storage;
    }

}